CREATE TABLE fos_qualifier_rules (
    QUALIFIER_RULE_LINE_ID        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    QUALIFIER_RULE_LINE_NUMBER    NUMBER(18, 0)     NOT NULL,
    OPEN_BRACE                    VARCHAR2(120) ,
    QUALIFIER_CODE                VARCHAR2(160)     NOT NULL,
    QUALIFIER_OPERATOR            VARCHAR2(120)     NOT NULL,
    VALUE                         VARCHAR2(3280)    NOT NULL,
    CLOSE_BRACE                   VARCHAR2(120) ,
    CONJUNCTION                   VARCHAR2(120) ,
    QUALIFIER_RULE_SET_ID         NUMBER(18, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(600) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    QUALIFIER_RULE_LINE_ID        NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    QUALIFIER_RULE_LINE_NUMBER    NUMBER(18, 0)     NOT NULL,
    OPEN_BRACE                    VARCHAR2(120) ,
    QUALIFIER_CODE                VARCHAR2(160)     NOT NULL,
    QUALIFIER_OPERATOR            VARCHAR2(120)     NOT NULL,
    VALUE                         VARCHAR2(3280)    NOT NULL,
    CLOSE_BRACE                   VARCHAR2(120) ,
    CONJUNCTION                   VARCHAR2(120) ,
    QUALIFIER_RULE_SET_ID         NUMBER(18, 0)     NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY            VARCHAR2(600) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    CONSTRAINT pk_fos_qualifier_rules PRIMARY KEY (QUALIFIER_RULE_LINE_ID, QUALIFIER_RULE_LINE_ID)
);
